# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.models.audit_log import AuditLog

class TestAuditLog(unittest.TestCase):
    """AuditLog unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> AuditLog:
        """Test AuditLog
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `AuditLog`
        """
        model = AuditLog()
        if include_optional:
            return AuditLog(
                sid = 56,
                organization_id = 56,
                target_id = '0',
                target_type = '0',
                author = '',
                interface = '',
                action = '',
                status = '',
                return_message = '0',
                changes = magneto_api_client.models.changes.Changes(),
                var_date = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f')
            )
        else:
            return AuditLog(
                sid = 56,
                target_type = '0',
                interface = '',
                action = '',
                status = '',
                var_date = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
        )
        """

    def testAuditLog(self):
        """Test AuditLog"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
